Subject: Re: [sidr] I-D Action: draft-ietf-sidr-publication-02.txt

From: Tim Bruijnzeels <[email-masked]>
Date: Mon, 2 Apr 2012 16:41:22 +0200

Hi,

On 29 Mar 2012, at 11:29, Rob Austein wrote:

> At Wed, 28 Mar 2012 08:57:19 -0400, Christopher Morrow wrote:
>> 
>> Draft Author Ship Steerers,
>> This we didn't chat about at the meeting(s), but are there outstanding
>> bits/pieces or should this be sent along for WGLC in the near future?
> 
> Not ready yet.  A few year's experience of using this protocol
> suggests the need for an additional message type, to let the RPKI
> engine monitor what the publication server has on file for it.  We've
> seen a few cases where, for whatever reason (bug, system crash, ...)
> the two can get out of sync, and while it's theoretically possible for
> the RPKI engine to determine what's in the publication repository by
> fetching as if it were a relying party, it'd probably be easier just
> to let the RPKI engine ask the publication server directly.

All this sounds very reasonable.

Furthermore I expect that the current discussion on rpki retrieval can have implications for this protocol as well. For example, if it is decided that consistent delta sets should be supported (as I argued for in another thread), then I think we will need some transaction logic in this protocol: BEGIN, publish, publish, withdraw ... COMMIT (i.e. begin and commit pdus, or probably better: one big pdu containing all updates, instead of sending the publish and withdraw pdus separately).

Tim